<?php

##############################################################################
// eCards Virtual Greeting Card System
// Copyright (C) 2004 by 4n-community.de
// http://www.4n-community.de
// ---------------------------------------------------------------------------
// LICENSE:
// This Script is copyright of www.4n-community.de and may free of charge be used exclusively for private homepage.
// For free use  must all copyright notices unchanged in the Script! Also not be removed, converted, hidden or made invisible.
// If you liked not to indicate the copyright reference or the Script on commercial sides begin, you can acquire a license (= > LIZENZ.txt)!
// ---------------------------------------------------------------------------
// Filename: Card_V7.1
// Original Author: Lothar Dambowsky
// Purpose: Create via web a Virtual Greeting Card
// ---------------------------------------------------------------------------
// Forum to the Script of: http://www.4n-community.de/modules.php?name=4nForum
##############################################################################

if (!isset($mainfile)) { include("mainfile.php");}
include('header.php');
include('modules/Card/include.php');
$module_name = basename(dirname(__FILE__));
get_lang($module_name);
$index=0;

$kategov="modules/Card/image/$kateg/";
$verz = opendir ($kategov);
$thumb = array ();
while ($filet = readdir ($verz)) {if ($filet = stristr($filet,"th_"))
{if($filet != "." && $filet != ".." && $filet != "index.htm") {array_push($thumb,"$filet");}}}
closedir($verz);

OpenTable();

echo "<br><center><h3>"._CARDCATEGORY." $kateg</h3></center>";
echo "<center><h5>"._CARDSELECTHERE."</h5></center>";
echo "<br><center><table border='1' bordercolor='#000000' cellpadding='0' cellspacing='0'><tr><td>";
echo "<table border='0' bgcolor=\"$bgcolor2\" cellpadding='8'><tr>";
$i= "0";
$verz=opendir ($kategov);
foreach($thumb as $thum) {
$pf="modules/Card/image/$kateg/$thum";
@$info = getimagesize($pf);
$wh = $info [3];
$bild=$pf;
$pict=substr($thum, 3);
$picn= "image/$kateg/$pict";
$infopfad="modules/Card/$picn";
@$info2 = filesize ($infopfad);
$control="modules/Card/$picn";
if(file_exists($control)){
echo "<td><center><a href='modules.php?name=Card&file=start&picture=$picn'><img src='$bild' border='0' alt='$pict \n$wh \n"._MENUEFILESIZE." $info2 "._MENUEBYTE." '></a></center></td>";
$i++; $ii= ("$spalten_vorschau"-$i);
if ($ii == "0" ){ echo "</tr><tr>"; $i= "0";}}}
echo "</td></tr></table></table></center>";
  
echo "<br><br><center><a href='modules.php?name=Card'><h5>"._CARDBACKTOA."</h5></a></center>";
if(file_exists("modules/Card/file.php")){include "modules/Card/file.php"; CloseTable(); include("footer.php");}
    
// Dieser Link muss erhalten bleiben und darf nicht entfernt werden - not edit or remove this link, thanks!
echo "<hr><center> <a title='Module &copy Information' href=\"#\" onClick=\"window.open('modules/Card/modul.php','neuesfenster','width=400,height=300,directories=no,location=no,menubar=no,scrollbars=yes,status=no,toolbar=no,resizable=yes,');return false\"> eCard-Modul</a> phpNuke &copy by <a href='http://www.4n-community.de' target='_blank' title='www.4n-community.de'>4n-community</center>";

CloseTable();

include("footer.php");

?>
